Dependencies:
- 'on': ['Linux', 'FreeBSD', 'Windows', 'macOS', 'Android']
  'require':
    'frameworks/extra-cmake-modules': '@same'
    'frameworks/ki18n' : '@same'
    'frameworks/kguiaddons' : '@same'
    'frameworks/kitemviews' : '@same'
    'frameworks/kcoreaddons' : '@same'
    'frameworks/kwidgetsaddons' : '@same'
    'frameworks/kservice' : '@same'
    'frameworks/karchive' : '@same'
    'frameworks/solid' : '@same'
    'frameworks/kjobwidgets' : '@same'
    'frameworks/kiconthemes' : '@same'
    'frameworks/kwindowsystem' : '@same'
    'frameworks/kcompletion' : '@same'
    'frameworks/kbookmarks' : '@same'
    'frameworks/knotifications' : '@same'
    'frameworks/kconfig' : '@same'
    'frameworks/kcolorscheme' : '@same'

- 'on': ['Linux', 'FreeBSD', 'Windows', 'macOS']
  'require':
    'frameworks/kcrash' : '@same'
    'frameworks/kdoctools' : '@same'

- 'on': ['Linux', 'FreeBSD']
  'require':
    'frameworks/kauth': '@same'
    'frameworks/kdbusaddons' : '@same'
    'frameworks/kwallet' : '@same'

Options:
  test-before-installing: True
  require-passing-tests-on: [ 'Linux', 'FreeBSD' ]
  cmake-options: -DUSE_FTPD_WSGIDAV_UNITTEST=ON
  cppcheck-arguments: '--enable=warning,style,performance --suppress-xml=cppcheck-suppressions.xml'
  cppcheck-ignore-files:
    - autotests
